WindowsPlatform (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.platforms.WindowsPlatform class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.platforms
Class WindowsPlatform

    java.lang.Object
      net.sf.antcontrib.cpptasks.platforms.WindowsPlatform

    public final class WindowsPlatform

extends java.lang.Object

Platform specific behavior for Microsoft Windows.

Author:
  Curt Arnold

Method Summary
`static void` | `addVersionFiles(VersionInfo versionInfo, LinkType linkType, java.io.File outputFile, boolean isDebug, java.io.File objDir, TargetMatcher matcher)` Adds source or object files to the bidded fileset to support version information.
`static short[]` | `parseVersion(java.lang.String version)` Parse version string into array of four short values.
`static void` | `writeResource(java.io.Writer writer, VersionInfo versionInfo, java.io.File outputFile, boolean isDebug, LinkType linkType)` Writes windows resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addVersionFiles

    public static void addVersionFiles(VersionInfo versionInfo,
                                       LinkType linkType,
                                       java.io.File outputFile,
                                       boolean isDebug,
                                       java.io.File objDir,
                                       TargetMatcher matcher)
                                throws java.io.IOException

  Adds source or object files to the bidded fileset to support version information.

  Parameters:
    `versionInfo` - version information
    `linkType` - link type
    `isDebug` - true if debug build
    `outputFile` - name of generated executable
    `objDir` - directory for generated files
    `matcher` - bidded fileset
  Throws:
    `java.io.IOException` - if unable to write version resource

### parseVersion

    public static short[] parseVersion(java.lang.String version)

  Parse version string into array of four short values.

  Parameters:
    `version` - String version
  Returns:
    short[] four element array

### writeResource

    public static void writeResource(java.io.Writer writer,
                                     VersionInfo versionInfo,
                                     java.io.File outputFile,
                                     boolean isDebug,
                                     LinkType linkType)
                              throws java.io.IOException

  Writes windows resource.

  Parameters:
    `writer` - writer, may not be nul
    `versionInfo` - version information
    `outputFile` - executable file
    `isDebug` - true if debug
    `linkType` - link type
  Throws:
    `java.io.IOException` - if error writing resource file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.